"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetNodeInput = {
    type: "structure",
    required: ["NetworkId", "MemberId", "NodeId"],
    members: {
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "networkId"
        },
        MemberId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "memberId"
        },
        NodeId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "nodeId"
        }
    }
};
//# sourceMappingURL=GetNodeInput.js.map