"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._NetworkSummary = {
    type: "structure",
    required: [],
    members: {
        Id: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        Framework: {
            shape: {
                type: "string"
            }
        },
        FrameworkVersion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_NetworkSummary.js.map