"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoteOnProposalInput = {
    type: "structure",
    required: ["NetworkId", "ProposalId", "VoterMemberId", "Vote"],
    members: {
        NetworkId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "networkId"
        },
        ProposalId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "proposalId"
        },
        VoterMemberId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Vote: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=VoteOnProposalInput.js.map