"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ProposalSummary = {
    type: "structure",
    required: [],
    members: {
        ProposalId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        ProposedByMemberId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ProposedByMemberName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        CreationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        },
        ExpirationDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            }
        }
    }
};
//# sourceMappingURL=_ProposalSummary.js.map